Arch RemoveShape/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/ro|Select non-solid meshes|Close Holes|Arch|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arc...")
mNo edit summary
Line 2: Line 2:
{{docnav/ro|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
{{docnav/ro|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}


{{GuiCommand/ro
<div class="mw-translate-fuzzy">
|Name=Arch RemoveShape|Name/ro=Arch RemoveShape
{{GuiCommand|Name=Arch RemoveShape|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Remove Shape|SeeAlso=[[Arch MeshToShape|Arch MeshToShape]]}}
|Workbenches=[[Arch Module|Arch]]
</div>
|MenuLocation=Arch → Utilities → Remove Shape
|SeeAlso=[[Arch MeshToShape|Arch MeshToShape]]
}}


==Descriere==
==Descriere==

Revision as of 16:38, 1 February 2020

Arch RemoveShape

poziția meniului
Arch → Utilities → Remove Shape
Ateliere
Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Arch MeshToShape

Descriere

Acest instrument încearcă să înlăture forma cubică interioară a unui Arc Wall sau Arch Structure și să-și ajusteze proprietățile, făcând-o complet parametrică. Acest instrument va funcționa numai dacă forma subiacentă este cubică (exact 6 fețe, toate colțurile au doar unghiuri drepte).

Cum se folosește

  1. Selectați un Arch Wall sau o Arch Structure
  2. Apăsați tasta Remove Shape din meniul Arch -> Utilities menu

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

removeShape(objs, mark=True)

ia un obiect arc (perete sau o structură) construit pe o formă cubică și îndepărtează forma interioară, păstrând lungimea, lățimea și înălțimea ca parametri.

import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()